clear

% leitura dos dados iniciais para um sistema de edo 2x2
num_y(1,1) = 1;
num_y(1,2) = 1;

% Intervalo de tempo usado [ti,tf]
ti = input('Tempo inicial =   ');
tf = input('Tempo final =   ');
nt = input('numero de passos no tempo = ');
dt = (tf-ti)/nt;

% Matriz A
epsilon = input('epsilon = ');
delta = input('delta = ');

A(1,1) = epsilon;
A(1,2) = delta;
A(2,1) = -delta;
A(2,2) = epsilon;

B1= eye(2) - dt/2 * A;
B2= eye(2) + dt/2 * A;
x(1)=ti;

for i=2:nt+1,
    num_y(i,1:2) = B1\(B2*num_y(i-1,1:2)');
    x(i)=ti+(i-1)*dt;
end

figure
subplot(211), plot(x,num_y(:,1)),...
title('Trap y1(t)'),xlabel('t'),grid,...
subplot(212),plot(x,num_y(:,2)),...
title('Trap y2(t)'),xlabel('t'),grid