clear

% Dados iniciais
num_y(1,1) = 2;
num_y(1,2) = 3;

% Intervalo de tempo usado [ti,tf]
ti = input('Tempo inicial =   ');
tf = input('Tempo final =   ');
nt = input('numero de passos no tempo = ');
dt = (tf-ti)/nt;

% Matriz A.
a = input('Digite 1 para o primeiro sistema, outro valor para o segundo:');
if(a == 1) 
    A(1,1) = -2;
    A(1,2) = 1;
    A(2,1) = 1;
    A(2,2) = -2;
    s = 2;
else
    A(1,1) = -2;
    A(1,2) = 1;
    A(2,1) = 998;
    A(2,2) = -999;
    s = 998;
end

B1 = eye(2) - dt * A;
x(1)=ti;

for i=2:nt+1,
    x(i)=ti+(i-1)*dt;
    t  = x(i);
    costi = cos(t);
    sinti = sin(t);
    g = [2*sinti; s*(costi - sinti)];
    num_y(i,1:2) = B1\(num_y(i-1,1:2)'+dt*g);
end

subplot(211), plot(x,num_y(:,1)),...
title('EuI y1(t)'),xlabel('t'),grid,...
subplot(212),plot(x,num_y(:,2)),...
title('EuI y2(t)'),xlabel('t'),grid
